com.taggercat.handlers
Class PageNavigationRequestHandler

java.lang.Object
  extended by com.taggercat.handlers.AbstractRequestHandler
      extended by com.taggercat.handlers.PageNavigationRequestHandler
All Implemented Interfaces:
com.taggercat.el.ELPropertyResolver, RequestHandler

public class PageNavigationRequestHandler
extends AbstractRequestHandler

PageNavigationRequestHandler is used to update view state and then perform a page navigation.

Also, inherent to the design of Tagger Cat applications, any request handler can be used to perform a Page Navigation. For example, you can use any Model Action request such as Save, Insert etc. and then navigate to the next page.

Required request parameters:

 

Constructor Summary
PageNavigationRequestHandler()
           
 
Method Summary
 
Methods inherited from class com.taggercat.handlers.AbstractRequestHandler
disableClientCache, getDataSourceName, getErrorException, getErrorPage, getErrorPageMethod, getErrorReason, getExplicitDataSourceName, getExplicitDSN, getMatchedPattern, getModel, getRequestController, getResponsePage, getResponsePageMethod, getSessionExpiredPage, getUserName4Log, init, isAjaxRequest, onChainCompleted, resolveProperty, serverTemporaryFile, serveTemporaryFile, service, setActionName, setErrorPage, setErrorPageMethod, setErrorPageMethodToRedirect, setExplicitDataSourceName, setExplicitDSN, setMatchedPattern, setResponsePage, setResponsePageMethod, setResponsePageMethodToRedirect, setSessionExpiredPage
 
Methods inherited from class java.lang.Object
equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

PageNavigationRequestHandler

public PageNavigationRequestHandler()